/*
 * Copyright (C) 2016 Texas Instruments Incorporated - http://www.ti.com/ 
 * 
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*/

#define NX 120
#define NH 32
#define FNAME "t7"
#define MAXERROR 10

DATA x[NX] ={
16945,
-7817,
-11069,
267,
4231,
17511,
18341,
-1043,
19805,
-1900,
-19480,
5217,
10911,
11584,
29000,
17704,
15558,
24003,
32174,
257,
8459,
19176,
-3366,
1596,
-21531,
-24205,
-18430,
-25856,
-23500,
-2821,
18883,
-14349,
-18037,
26795,
-32288,
5815,
2760,
10061,
-12227,
-17619,
-5501,
-13186,
11300,
28721,
-10280,
4126,
-24977,
-21692,
-14491,
3723,
-945,
29636,
-17569,
-1399,
1738,
19183,
-20120,
26843,
27669,
-31899,
17534,
29317,
20532,
27776,
-19727,
11421,
27990,
-10236,
6192,
7568,
-32547,
31589,
26182,
12632,
-3955,
13174,
7190,
-13115,
23333,
-25424,
-13661,
-26382,
-6721,
-10925,
29113,
22187,
-15832,
-29957,
-32383,
4877,
15984,
20108,
9015,
-16301,
-23310,
9932,
29234,
20701,
28196,
-12456,
-15151,
2388,
-22068,
-18941,
-18559,
9947,
-29310,
-17742,
10972,
-12391,
-12673,
14462,
29779,
-24174,
-28294,
-24562,
-21879,
26962,
-23839,
7667,
};

#pragma DATA_SECTION(h,".coeffs")
DATA h[NH] ={ /* b0 b1 b2 ... b(NH-1) */
-832,
-1006,
766,
176,
1588,
-613,
736,
1596,
293,
1368,
898,
-434,
811,
-1214,
1642,
-1094,
994,
407,
-1216,
-1689,
-761,
1695,
1621,
-979,
1650,
647,
-1603,
359,
-385,
-1025,
-1144,
-1524,
};

#pragma DATA_SECTION(db,".dbuffer")
DATA db[NH+2] ;

DATA rtest[NX] ={
-430,
-322,
917,
241,
405,
-1323,
-912,
766,
-225,
389,
1719,
-165,
1611,
-538,
550,
1170,
424,
182,
-155,
-1003,
3521,
3834,
4903,
760,
2965,
4780,
388,
3945,
3623,
1394,
1733,
-5704,
-1292,
-2841,
-6313,
-2549,
-4652,
-1031,
-2612,
4075,
623,
-2645,
1781,
-3316,
-2422,
87,
-3566,
1637,
-10152,
-3343,
-3181,
-951,
-925,
129,
3053,
105,
-5284,
8389,
631,
2841,
897,
-1572,
-3086,
-3026,
5076,
8366,
-2350,
8419,
-3099,
1903,
3329,
129,
3557,
-2038,
-1650,
7318,
-888,
1592,
4244,
5234,
-1264,
-3587,
8591,
262,
-3766,
2372,
-5067,
3650,
196,
-3566,
-934,
-10853,
-3333,
1968,
113,
-2878,
-243,
-5574,
-244,
5028,
4867,
-1297,
-2999,
-4538,
-4058,
4848,
4811,
4081,
-2240,
-3945,
-3814,
-2291,
2788,
-914,
349,
-2971,
-4317,
608,
696,
5452,
};

DATA r[NX];
